WordPress Backend Localization bővítmény cross-site scripting sérülékenység

CH azonosító

CH-7302

Angol cím

WordPress Backend Localization Plugin Cross-Site Scripting Vulnerabilities

Felfedezés dátuma

2012.07.30.

Súlyosság

Alacsony

Érintett rendszerek

Backend Localization Plugin
WordPress

Érintett verziók

WordPress Backend Localization Plugin 1.x

Összefoglaló

A WordPress Backend Localization bővítmény több sérülékenységét jelentették, amelyeket kihasználva a támadók cross-site scripting (XSS/CSS) támadásokat indíthatnak.

Leírás

A “kau-boys_backend_localization_language” paraméteren keresztül például a wp-admin/options-general.php (amikor a “page” “kau-boys-backend-localization/backend_localization.php” értékre van állítva) vagy a wp-login.php részére átadott bemeneti adat nincs megfelelően megtisztítva, mielőtt visszakerülne a felhasználóhoz. Ezt kihasználva, tetszőleges HTML és script kódot lehet futtatni a felhasználó böngészőjének munkamenetében az érintett oldal vonatkozásában.

A sérülékenységet a 2.0 előtti verziókban jelentették.

Megoldás

Frissítsen a legújabb verzióra